tj.git-extras/bin/git-refactor
2014-11-30 17:47:26 +05:30

17 lines
582 B
Bash
Executable file

#!/usr/bin/env bash
# Removed unnecessary git checkout for bug, feature and refactor
if test "$1" = "finish"; then
test -z $2 && echo "refactor <name> required." 1>&2 && exit 1
branch=refactor/$2
git merge --no-ff $branch && git delete-branch $branch
else
test -z $1 && echo "refactor <name> required." 1>&2 && exit 1
if test -n "$2"; then
echo "too many arguments; if not finishing a refactor, only <name> of new refactoring is expected" && exit 1
fi
branch=refactor/$1
git checkout -b $branch &> /dev/null
test -n $? && git checkout $branch &> /dev/null
fi